using HBLConsole.Communication;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.Business
{
    /// <summary>
    /// 主控入口
    /// </summary>
    public class MainConsole
    {
        /// <summary>
        /// 主业务线开始
        /// </summary>
        public void Start()
        {
            //网络相关
            InternetInfo.InitConfig();
            //业务插件初始化
            Plugin.GetInstance().Init();
            //主题初始化
            TopicDefine.GetInstance().Initialize(Plugin.GetInstance().GetPlugin<DeviceMgr>().GetDevices());
            //设备开启
            Plugin.GetInstance().GetPlugin<DeviceMgr>().StartService();
        }

        /// <summary>
        /// 主业务线停止
        /// </summary>
        public void Stop()
        {
        }
    }
}
